summaryrefslogtreecommitdiff
path: root/x11-libs
diff options
context:
space:
mode:
authorV3n3RiX <venerix@gmail.com>2014-10-30 14:05:44 +0200
committerV3n3RiX <venerix@gmail.com>2014-10-30 14:05:44 +0200
commit3df7b623b8fd9130287397ea9133709ae277fcbc (patch)
tree37665be8f90095bdd43be43e3c1c919d6a39d247 /x11-libs
parent89cad83daeaa28b87c62130a5e36778bf4d2e85c (diff)
Vaapi h264 decoding support for Intel G45 video cards
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/libva-intel-driver/Manifest1
-rw-r--r--x11-libs/libva-intel-driver/libva-intel-driver-20140512.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/x11-libs/libva-intel-driver/Manifest b/x11-libs/libva-intel-driver/Manifest
new file mode 100644
index 00000000..82e82b83
--- /dev/null
+++ b/x11-libs/libva-intel-driver/Manifest
@@ -0,0 +1 @@
+DIST intel-driver-g45-h264-20140512.tar.gz 1115746 SHA256 389845265ea6bc8935f2087e53d8104a679c8f0a9811f615745ccb3e37cc45ff SHA512 f04679a4f97caf1b59c051225033ead31c9af0f3c73ecfe5219d07f12ffc4cf3923d1f7baae663590d83f39d4e988061e826ba8498362a0d5511869c2171e5da WHIRLPOOL 7bcf9c3a3a7245e75181f0761e757c13e5a65bdbcf1b93f438e444f8f2aa0914a04440c24248cdb46b43527658d185a2266c2d2b34826b8ef457a76f805fd203
diff --git a/x11-libs/libva-intel-driver/libva-intel-driver-20140512.ebuild b/x11-libs/libva-intel-driver/libva-intel-driver-20140512.ebuild
new file mode 100644
index 00000000..df34f6fa
--- /dev/null
+++ b/x11-libs/libva-intel-driver/libva-intel-driver-20140512.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="3"
+
+inherit autotools multilib
+MY_PN="intel-driver-g45-h264"
+MY_PV="20140512"
+
+DESCRIPTION="HW video decode support for Intel integrated graphics (with h264 support for Intel G45 chipsets)"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/vaapi"
+SRC_URI="https://downloads.sourceforge.net/project/g45h264/${MY_PN}-${MY_PV}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+drm wayland X"
+
+RDEPEND=">=x11-libs/libva-1.3.0[X?,wayland?,drm?]
+ !<x11-libs/libva-1.2.1[video_cards_intel]
+ >=x11-libs/libdrm-2.4.45[video_cards_intel]
+ !>x11-libs/libva-intel-driver-9999
+ wayland? ( media-libs/mesa[egl] >=dev-libs/wayland-1 )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_PN}
+
+src_prepare() {
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-silent-rules \
+ $(use_enable drm) \
+ $(use_enable wayland) \
+ $(use_enable X x11)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS NEWS README || die
+ find "${D}" -name '*.la' -delete
+}